insert.hpp File Reference

## Classes

struct | ranges::insert_fn

## Functions

template<typename Cont , typename I , typename Rng >
CPP_TEMPLATE_AUX_0 | ranges::a (requires lvalue_container_like< Cont > &&input_iterator< I > &&range< Rng >) aaauto insert(Cont &&cont
template<typename Cont , typename P , typename I , typename S >
| ranges::CPP_TEMPLATE_AUX_0 (requires lvalue_container_like< Cont > &&input_iterator< P > &&sentinel_for< S, I > &&(!range< S >)) auto insert(Cont &&cont

## Variables

P I | ranges::i
constexpr adl_insert_detail::insert_fn | insert {}
P I Sdecltype(detail::insert_impl(static_cast< Cont && >(cont), static_cast< P && >(p), static_cast< I && >(i), static_cast< S && >(j), meta::bool_< random_access_reservable< Cont > &&//sized_sentinel_for< S, I >>{})) | ranges::j
P | ranges::p
CPP_TEMPLATE_AUX_0 I Rng &&decltype(detail::insert_impl(static_cast< Cont && >(cont), std::move(p), static_cast< Rng && >(rng), meta::bool_< random_access_reservable< Cont > &&sized_range< Rng >>{})) | ranges::rng

## Variable Documentation

## j

P I Sdecltype(detail::insert_impl( static_cast<Cont &&>(cont), static_cast<P &&>(p), static_cast<I &&>(i), static_cast<S &&>(j), meta::bool_<random_access_reservable<Cont> && // sized_sentinel_for<S, I>>{})) ranges::j

Initial value:
{
return detail::insert_impl(static_cast<Cont &&>(cont),
static_cast<P &&>(p),
static_cast<I &&>(i),
static_cast<S &&>(j),
meta::bool_<random_access_reservable<Cont> &&
sized_sentinel_for<S, I>>{})
ranges::I
CPP_TEMPLATE_AUX_0 I(requires bidirectional_iterator< I > &&sortable< I, C, P >) III inplace_merge(I first
function template inplace_merge
meta::bool_
std::integral_constant< bool, B > bool_
An integral constant wrapper for bool.
Definition: meta.hpp:168

## rng

CPP_TEMPLATE_AUX_0 I Rng&&decltype(detail::insert_impl( static_cast<Cont &&>(cont), std::move(p), static_cast<Rng &&>(rng), meta::bool_<random_access_reservable<Cont> && sized_range<Rng>>{})) ranges::rng

Initial value:
{
return detail::insert_impl(static_cast<Cont &&>(cont),
std::move(p),
static_cast<Rng &&>(rng),
meta::bool_<random_access_reservable<Cont> &&
sized_range<Rng>>{})
ranges::aux::move
constexpr move_fn move
Definition: move.hpp:52